{% extends 'base.html' %}

{% block content %}

<div class="row">
    <div class="col-lg-12">
        <div class="card">
            <div class="card-body">
                <h4 class="card-title">{{object}} revisions list</h4>
                <div class="table-responsive">
                    <table class="table no-wrap" id="toolTable">
                        <thead>
                            <tr>
                                <th>Location</th>
                                <th>Class</th>
                                <th>Date</th>
                                <th>Visual check</th>
                                <th>Earth</th>
                                <th>Leakage</th>
                                <th>Insulation</th>
                                <th>Function check</th>
                                <th>Result</th>
                                <th>Test engineer</th>
                                <th>Comment</th>
                            </tr>
                        </thead>
                        <tbody>
                            {% for revision in object.revision_set.all %}
                                <tr>
                                    <td>{{revision.location}}</td>
                                    <td>{{revision.get_class}}</td>
                                    <td>{{revision.date}}</td>
                                    <td>{{revision.visual_check}}</td>
                                    <td>{{revision.earth}}</td>
                                    <td>{{revision.leakage}}</td>
                                    <td>{{revision.insulation}}</td>
                                    <td>{{revision.function_check}}</td>
                                    <td>{{revision.result}}</td>
                                    <td>{{revision.test_engineer}}</td>
                                    <td>{{revision.comment}}</td>
                                </tr>
                            {% endfor %}
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
</div>


{% endblock content %}

{% block script %}
<script>
$(document).ready(function() {
    $('#toolTable').DataTable( {
    dom: 'Bfrtip',
    buttons: [
        { extend: 'excel', text: 'Export to excel' },
        { extend: 'pdf', text: 'Export to PDF' },
    ],
    columnDefs: [
        { orderable: true, className: 'reorder', targets: 2 },
        { orderable: false, targets: '_all' }
    ]
} );
});

</script>
{% endblock script %}